sysinstall:
	apt update
	apt install -y make git wget zsh
homeinstall: install-o-my-zsh install-asdf


install-o-my-zsh:
	[ -d ~/.oh-my-zsh ] && echo oh-my-zsh exists || wget -qO- https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh | sh

install-asdf:
	[ -d ~/.asdf ] && echo asdf exists || git clone https://github.com/asdf-vm/asdf.git ~/.asdf --branch v0.8.0

dotfiles-install:
	 docker run --rm -e RUNNER_PLAYBOOK=playbook.yml -v $(HOME):/host/home -v $(CURDIR):/runner/project ansible/ansible-runner

test:
	echo 'Hello world!'